import QtQuick 1.1
import Effects 1.0

Item {
	id: addTimeButton
	width: 50
	height: 50

	property url upImage
	property url pressedImage

	property string kpiPostfix: "AddTimeBtn"

	signal doAction;

	Component.onCompleted: {
		btnMouseArea.released.connect(doAction)
	}

	Item {
		id: button
		width: parent.width
		height: parent.height
                anchors.fill: parent

	    Image {
		id: iconUp
		anchors.centerIn: parent
		source: upImage
	    }

	    Image {
		id: iconPressed
		source: pressedImage
                visible: false
		anchors {
                    centerIn: parent
                    horizontalCenterOffset: 2
                    verticalCenterOffset: 2
                }
	    }
            MouseArea {
                id: btnMouseArea;
                z:1
                anchors.fill: parent
                onPressed: {
                    iconUp.visible = false
                    iconPressed.visible = true
                }
                onReleased: {
                    iconUp.visible = true
                    iconPressed.visible = false
                }
            }
        }
}
